# Uses of Interface
org.opensaml.saml.ext.saml2mdui.DiscoHints

Packages that use DiscoHints
Package
Description
org.opensaml.saml.ext.saml2mdui.impl
Implementation for SAML V2 Metadata Extensions for UI and Discovery.

## Uses of DiscoHints in org.opensaml.saml.ext.saml2mdui.impl

Classes in org.opensaml.saml.ext.saml2mdui.impl that implement DiscoHints
Modifier and Type
Class
Description
`class`
`DiscoHintsImpl`
Concrete implementation of `DiscoHints`.
Methods in org.opensaml.saml.ext.saml2mdui.impl that return DiscoHints
Modifier and Type
Method
Description
`DiscoHints`
DiscoHintsBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`DiscoHints`
DiscoHintsBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.